import { DeepClient } from "./client.js";
import { Id, Link } from "./minilinks.js";
import { Package } from "./packager.js";
export declare class Packages {
    deep: DeepClient<Link<Id>>;
    constructor(deep: any);
    select(): Promise<import("./client.js").DeepClientResult<Link<Id>[]>>;
    export(): Promise<{
        [name: string]: Package;
    }>;
    write(address: string, pckgs: {
        [name: string]: Package;
    }): Promise<void>;
    read(address: string): Promise<{
        [name: string]: Package;
    }>;
    import(pckgs: {
        [name: string]: Package;
    }): Promise<{
        [name: string]: Package;
    }>;
}
